\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(0.5,0.5) rectangle (10.5,4.6);
\draw [line width=1.5pt] (1.5,1)-- (3,4);
\draw [line width=1.5pt] (4.5,1)-- (3,4);
\draw [line width=1.5pt] (4,2)-- (2,2);
\draw [line width=1.5pt] (1.5,1)-- (4.5,1);
\draw [line width=1.5pt] (7,4)-- (10,1);
\draw [line width=1.5pt] (8,1)-- (10,4);
\draw [line width=1.5pt] (10,4)-- (7,4);
\draw [line width=1.5pt] (8,1)-- (10,1);
\draw [line width=1pt] (6,1)-- (6,4);

\draw [fill=black] (3,4) circle (0.5pt);
\draw[color=black] (3.0057440000000004,4.409136333333335) node {$A$};
\draw [fill=black] (2,2) circle (0.5pt);
\draw[color=black] (1.7173359999999995,2.144661666666667) node {$B$};
\draw [fill=black] (4,2) circle (0.5pt);
\draw[color=black] (4.235588,2.1251403333333334) node {$C$};
\draw [fill=black] (1.5,1) circle (0.5pt);
\draw[color=black] (1.2488239999999995,1.1100309999999993) node {$D$};
\draw [fill=black] (4.5,1) circle (0.5pt);
\draw[color=black] (4.762664,1.1100309999999993) node {$E$};
\draw [fill=black] (7,4) circle (0.5pt);
\draw[color=black] (7.007617333333334,4.370093666666668) node {$D$};
\draw [fill=black] (10,4) circle (0.5pt);
\draw[color=black] (9.994381333333337,4.311529666666669) node {$E$};
\draw [fill=black] (8,1) circle (0.5pt);
\draw[color=black] (7.651821333333334,1.1295523333333326) node {$C$};
\draw [fill=black] (10,1) circle (0.5pt);
\draw[color=black] (10.26768,1.1295523333333326) node {$B$};
\draw [fill=black] (8.8,2.2) circle (0.5pt);
\draw[color=black] (9.15,2.35) node {$A$};

\end{tikzpicture}